# The tuzuk Package

The `tuzuk` class provides a standardized format for writing bylaws and regulations in Turkish. It includes features for creating numbered articles, subsections, and signature areas commonly found in legal documents.

## Features

- Easy creation of numbered articles with the `\madde` command
- Section titles with `\bolumadi`
- Automatic lettered lists with the `fikra` environment
- Built-in signature area formatting with `\imzalar`
- Full Turkish language support

## Installation

1. Run `tex tuzuk.ins` to generate the class file
2. Run `pdflatex tuzuk.dtx` to generate the documentation
3. Copy `tuzuk.cls` to your local TeX tree

## License

This material is subject to the LaTeX Project Public License v1.3c or later.

## Author

Özcan Oğuz

## Version

v1.0.0 (2024/03/13)

## Repository

The latest version can be found at: [GitHub Repository URL]

## CTAN Package

This package is available on CTAN at: https://ctan.org/pkg/tuzuk


